> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user

> Get the profile of the currently authenticated user.



## OpenAPI

````yaml /openapi.json get /api/v1/user
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/user:
    get:
      tags:
        - User
      summary: Get current user
      description: Get the profile of the currently authenticated user.
      operationId: get_current_user_api_v1_user_get
      parameters:
        - name: device-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Device-Id
        - name: device-type
          in: header
          required: false
          schema:
            type: string
            default: ios
            title: Device-Type
        - name: device-name
          in: header
          required: false
          schema:
            type: string
            default: ios
            title: Device-Name
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UserResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        email:
          type: string
          title: Email
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        avatarUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatarurl
        contactInfo:
          anyOf:
            - type: string
            - type: 'null'
          title: Contactinfo
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
        middleName:
          anyOf:
            - type: string
            - type: 'null'
          title: Middlename
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        entityName:
          anyOf:
            - type: string
            - type: 'null'
          title: Entityname
        birthDate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Birthdate
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        jurisdiction:
          anyOf:
            - type: string
            - type: 'null'
          title: Jurisdiction
        address:
          anyOf:
            - $ref: '#/components/schemas/UserAddress'
            - type: 'null'
        fiatRails:
          items:
            $ref: '#/components/schemas/FiatRailResponse'
          type: array
          title: Fiatrails
          default: []
        isBusiness:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isbusiness
        plan:
          type: string
          title: Plan
          default: free
        referrer:
          anyOf:
            - $ref: '#/components/schemas/ReferrerInfo'
            - type: 'null'
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        pushNotificationAllowed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Pushnotificationallowed
        myIp:
          anyOf:
            - type: string
            - type: 'null'
          title: Myip
        bankRequested:
          $ref: '#/components/schemas/BankRequestedSettings-Output'
      type: object
      required:
        - id
        - email
        - phone
        - avatarUrl
        - createdAt
        - updatedAt
      title: UserResponse
      description: Schema for user response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserAddress:
      properties:
        streetAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Streetaddress
        addressLine2:
          anyOf:
            - type: string
            - type: 'null'
          title: Addressline2
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          anyOf:
            - $ref: '#/components/schemas/CountryCode'
            - type: 'null'
        zip:
          anyOf:
            - type: string
            - type: 'null'
          title: Zip
      type: object
      title: UserAddress
      description: >-
        Address schema for user.


        Canonical field names: street_address, address_line_2, city, state,
        country, zip.

        Accepts legacy Align/IBAN field names (street_line_1, street_line_2,
        postal_code)

        for backward compatibility with existing JSONB data.
    FiatRailResponse:
      properties:
        provider:
          $ref: '#/components/schemas/FiatProvider'
        externalUserId:
          anyOf:
            - type: string
            - type: 'null'
          title: Externaluserid
        kycStatus:
          type: string
          title: Kycstatus
          default: not_started
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
      type: object
      required:
        - provider
      title: FiatRailResponse
      description: Response schema for a user's fiat rail registration.
    ReferrerInfo:
      properties:
        name:
          type: string
          title: Name
        email:
          type: string
          title: Email
        avatarUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatarurl
      type: object
      required:
        - name
        - email
      title: ReferrerInfo
      description: Lightweight info about the user who referred this user.
    BankRequestedSettings-Output:
      properties:
        rails:
          $ref: '#/components/schemas/BankRequestedRails'
      type: object
      title: BankRequestedSettings
      description: User bank-rail interest settings.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CountryCode:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - CI
        - HR
        - CU
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
      title: CountryCode
      description: ISO 3166-1 alpha-2 country codes.
    FiatProvider:
      type: string
      enum:
        - swipelux
        - align
        - mcp
        - wirex
      title: FiatProvider
      description: Supported fiat payment providers.
    BankRequestedRails:
      properties:
        us:
          $ref: '#/components/schemas/BankRequestedRailSettings'
        swift:
          $ref: '#/components/schemas/BankRequestedRailSettings'
        eu:
          $ref: '#/components/schemas/BankRequestedRailSettings'
        uae:
          $ref: '#/components/schemas/BankRequestedRailSettings'
      type: object
      title: BankRequestedRails
      description: Rails the user is interested in opening.
    BankRequestedRailSettings:
      properties:
        pooled:
          type: boolean
          title: Pooled
          default: false
        named:
          type: boolean
          title: Named
          default: false
      type: object
      title: BankRequestedRailSettings
      description: User interest in a bank rail group.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````